let EVN_CONFIG = require('../env/env');
// const DISTRIBUTE_ENVIROMENT = 'PROD';
const DISTRIBUTE_ENVIROMENT = 'DEV';

let {
    URL_PREFIX,
} = EVN_CONFIG[DISTRIBUTE_ENVIROMENT];
//用户登录页面，接口检测用户token失效，需跳转重新登录
const USER_LOGIN_PAGE_PATH='/pages/user/login/login';
//接口成功
const SUCCESS_CODE = '000000';
//微信登陆失效
const INVALID_USER_TOKEN_CODE = '001007';


/****************接口提示信息start ****************/
const MSG_FAIL_HTTP = '获取数据失败 fail';
const MSG_ERROR_HTTP = '获取数据失败 error';
const MSG_FALSE_HTTP = '获取数据失败 false';
const MSG_NONE_HTTP = '暂无数据';

const MSG_FALSE_TO = '提交失败，请重试';
const MSG_ERROR_TO = '提交异常，请重试';
const MSG_INVALID_USER_TOKEN='登陆信息失效，请重新登陆';
/****************接口提示信息end****************

/****************接口地址start****************/
/* 定位获取附近的商店 */
const URL_LOCATION_SHOPQUERYBYLOCATION = `${URL_PREFIX}/location/shopquerybylocation`;
/* 根据版块信息获取推荐数据 */
const URL_ZB_RECOMMEND_LIST = `${URL_PREFIX}/recommend/list`;
//获取openId
const URL_GET_OPENID=`${URL_PREFIX}/wechat/codeLogin`;
/****************接口地址end****************/

export {
    USER_LOGIN_PAGE_PATH,
    SUCCESS_CODE,
    INVALID_USER_TOKEN_CODE,
    MSG_FAIL_HTTP,
    MSG_ERROR_HTTP,
    MSG_FALSE_HTTP,
    MSG_NONE_HTTP,
    MSG_FALSE_TO,
    MSG_ERROR_TO,
    MSG_INVALID_USER_TOKEN,
    URL_LOCATION_SHOPQUERYBYLOCATION,
    URL_ZB_RECOMMEND_LIST,
    URL_GET_OPENID,
}